Package ru.bitel.bgbilling.modules.hd.server.bean

# Class ZoneDAO

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.modules.hd.server.bean.ZoneDAO

public class ZoneDAO extends ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ZoneDAO(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addZone(Zone zone)`
  `void`
  `deleteZone(int zoneId)`
  `List<Zone>`
  `getModifiedZoneList(boolean avto)`
  получение списка изменных зон со времени последнего запуска планировщика
  `Zone`
  `getZoneById(int zoneId)`
  `List<Integer>`
  `getZoneIdListByWhoisLastUpdate(String zoneMask, int limit)`
  `List<Zone>`
  `getZoneList()`
  `List<Zone>`
  `getZoneList(int contractId)`
  `void`
  `updateZone(Zone zone)`
  `boolean`
  `updateZone(Zone zone, Date lastUpdate)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getPeriod, getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ZoneDAO

    public ZoneDAO(Connection con, int moduleId)

- ## Method Details

  - ### getZoneList

    public List<Zone> getZoneList()
    Returns:

  - ### getZoneList

    public List<Zone> getZoneList(int contractId) throws SQLException
    Throws:
      `SQLException`

  - ### getModifiedZoneList

    public List<Zone> getModifiedZoneList(boolean avto)
    получение списка изменных зон со времени последнего запуска планировщика
    Returns:
      список измененных зон

  - ### getZoneById

    public Zone getZoneById(int zoneId)

  - ### addZone

    public void addZone(Zone zone)

  - ### deleteZone

    public void deleteZone(int zoneId)

  - ### updateZone

    public void updateZone(Zone zone)

  - ### updateZone

    public boolean updateZone(Zone zone, Date lastUpdate)

  - ### getZoneIdListByWhoisLastUpdate

    public List<Integer> getZoneIdListByWhoisLastUpdate(String zoneMask, int limit)